//+------------------------------------------------------------------+
//|                                                    ytg_2MA_X.mq4 |
//|                                                     Yuriy Tokman |
//|                                            yuriytokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

extern string _____0_____      = "  ";
extern int  Fast_period        = 5;
extern int  Fast_method        = 0;
extern int  Fast_applied       = 0;

extern string _____1_____      = "  ";
extern int  Slow_period        = 8;
extern int  Slow_shift         = 3;
extern int  Slow_method        = 0;
extern int  Slow_applied       = 0;


extern double Lots             = 0.1;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
 Comment("\n  :  yuriytokman@gmail.com");   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
  
//----
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   int cnt, ticket;  
//----
    if(OrdersTotal()<1) 
     {
      if(GetSignal()==1)
        {
         ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,0,0," ",16,0,Green);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
           }
         else Print("Error opening BUY order : ",GetLastError()); 
         return(0); 
        }
      if(GetSignal()==-1)
        {
         ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,0,0," ",16,0,Red);
         if(ticket>0)
           {
            if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
           }
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0); 
        }
      return(0);
     }  
   for(cnt=0;cnt<OrdersTotal();cnt++)
     {
      OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
      if(OrderType()<=OP_SELL && OrderSymbol()==Symbol())
        {
         if(OrderType()==OP_BUY)
           {
            if(GetSignal()==-1)
                {
                 OrderClose(OrderTicket(),OrderLots(),Bid,3,Violet);
                 return(0);
                }
           }
         else 
           {
            if(GetSignal()==1)
              {
               OrderClose(OrderTicket(),OrderLots(),Ask,3,Violet);
               return(0); // exit
              }
           }
        }
     }   
//----
   return(0);
  }
//+------------------------------------------------------------------+
 int GetSignal()
   {
    double Fast_MA = iMA(NULL,0,Fast_period,0,Fast_method,Fast_applied,1);
    double Slow_MA = iMA(NULL,0,Slow_period,Slow_shift,Slow_method,Slow_applied,1);
    
    int vSignal = 0;
    
    if ( Fast_MA > Slow_MA ) vSignal = 1;//up
        
    else
    if( Fast_MA < Slow_MA )  vSignal =-1;//down     
    return (vSignal);
   }